Update WhatsApp Profile Display Name

This API updates the display name for a WhatsApp application.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Rate limited to 3 requests per day

Request Example

curl --location 'https://partner.gupshup.io/partner/app/{{APP_ID}}/profile/displayName' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'newDisplayName=Updated Business Name'

Request Example

{
    "status": "success"
}

Status Codes

Status CodeResponseComments
200{ "status": "success" }Successfully updated display name
400{ "status": "error", "error": "Display name cannot be empty" }Display Name validations
400{ "status": "error", "error": "Display name must be at least 3 characters long" }Display Name validations
400{ "status": "error", "error": "Display name must be less than 250 characters" }Display Name validations
400{ "status": "error", "error": "Display name can only contain letters, numbers, spaces, hyphens, underscores, and parentheses" }Display Name validations
400{ "status": "error", "error": "Display name cannot be all uppercase. It must contain at least one lowercase letter or number" }Display Name validations
500{ "status": "error", "code": "INTERNAL_SERVER_ERROR", "message": "An unexpected error occurred" }For any internal error

Request Parameters

KeyDescriptionValuesData TypeRequired/OptionalConstraints
Path Parameters
appIdThe unique identifier of the WhatsApp application57d9179b-7412-4621-bf86-57ee1962fd12StringRequiredMust be a valid app ID
Form Parameters
newDisplayNameThe new display name for the WhatsApp applicationUpdated Business NameStringRequiredMust comply with WhatsApp display name requirements
Request Headers
AuthorizationPartner App token for authenticationsk_226b25558a19407c9d34845****b6b88StringRequiredMust be a valid JWT token with PARTNER_APP role

Path Params
string
required

The unique identifier of the WhatsApp application

Form Data
string
required

The new display name for the WhatsApp application

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json